Subject: Re: Memory overrun in http-push.c

From: Eygene Ryabinkin <[email-masked]>
Date: Thu, 1 Mar 2007 15:00:42 +0300

Good day!

> was more annoyed by the fact that the patch was an attachment,
> than it was generated by diff without leading a/ and b/ paths.

So, git is unable to use this type of patches directly and I will
need to do
$ patch < patchfile
$ rm file.orig
$ git commit

Just wondering what is bad with the diffs without leading a/ and b/.

> I certainly wasn't suggesting that it should be a requirement.  I just thought
> there was a certain irony.  Perhaps even a lesson to be learned - find out 
> why someone has chosen (even with git in front of them and deep enough inside 
> to find bugs in it), not to use git.

I've just realized that I need git because I need disconnected
commits. That's why I left my beloved SVN and started to hack GIT ;))

By the way, I am missing one thing: the Id keyword in the file. The
problem is that when some user is telling me: there is a bug in the
function a() that is inside the file b.c, then I can ask him to
give me the $Id$ tag of the file and I will have the full information
about the file version. Can I have it with git if user has just the
sources without any signs of the file versions? I've glanced over
the git manual, but was unable to find anything usable.

> I think there is a usability lesson to be pulled from this situation.  Why 
> didn't Eygene just say:
> 
>  $ tar zxvf git-tarball.tgz
>  $ cd git
>  $ git init
>  $ vim http-push.c
>  $ git diff
> 
> Note, that was not an attack on Eygene - I genuinely am interested to know 
> where we should put the documentation that tells a new user what they need to 
> know quickly.
> 
> Somehow, git has failed this person.  I was simply wondering in what way.
> 
> However, Eygene's response made it sound like a situational thing - it was 
> inconvenient to actually install git.  Fair enough.

Not incovinient to install git, but it was just convinient to me to
use FreeBSD port. The other way round ;))
-- 
Eygene